variables:
  AWS_BUILD_SUBDIR: provider/partition-aws/build-aws
  AWS_TEST_SUBDIR: testing/partition-test-aws
  AWS_SERVICE: partition
  AWS_ENVIRONMENT: dev

  AZURE_SERVICE: partition
  AZURE_BUILD_SUBDIR: provider/partition-azure
  AZURE_TEST_SUBDIR: testing/partition-test-azure

  IBM_BUILD_SUBDIR: provider/partition-ibm
  IBM_INT_TEST_SUBDIR: testing/partition-test-ibm

  # --- osdu gcp specific variables ---
  OSDU_GCP_SERVICE: partition
  OSDU_GCP_VENDOR: gcp
  OSDU_GCP_APPLICATION_NAME: os-partition
  OSDU_GCP_ENV_VARS: AUTHORIZE_API=$OSDU_GCP_AUTHORIZE_API,GOOGLE_CLOUD_PROJECT=$OSDU_GCP_PROJECT,GOOGLE_AUDIENCES=$GOOGLE_AUDIENCE,PARTITION_ADMIN_ACCOUNT=$OSDU_GCP_SERVICE_ACCOUNT
  MAVEN_PROJECTS: "-pl partition-core,provider/partition-gcp"
  OSDU_GCP_TEST_SUBDIR: testing/$OSDU_GCP_SERVICE-test-$OSDU_GCP_VENDOR
  OSDU_GCP_HELM_PACKAGE_CHARTS: "devops/gcp/deploy devops/gcp/configmap"

include:
  - project: "osdu/platform/ci-cd-pipelines"
    file: "standard-setup.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "build/maven.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "scanners/gitlab-ultimate.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "scanners/fossa.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/aws.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/azure.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/ibm.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/osdu-gcp-cloudrun.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "publishing/pages.yml"

osdu-gcp-test:
  variables:
    CLIENT_TENANT: osdu
